Section II_A.
Variable D: Set.
Variables P Q: D -> Prop.

Hypothesis H: forall x, P x -> Q x.

Goal (exists x, P x) -> (exists x, Q x).
Proof.
intro H1.
elim H1.
intro y.
intro H2.
exists y.
apply H.
assumption.
Qed.

End II_A.

Section II_B.
Variable D: Set.
Variable P: D -> D -> Prop.

Goal (exists x, forall y, P x y) -> (forall y, exists x, P x y).
Proof.
intro H.
intro y.
elim H.
intro x.
intro H0.
exists x.
apply H0.
Qed.

End II_B.
